# Uses of Class
org.apache.cxf.service.model.EndpointInfo

Packages that use EndpointInfo
Package
Description
org.apache.cxf.endpoint
org.apache.cxf.policy
org.apache.cxf.service
org.apache.cxf.service.model
org.apache.cxf.transport

- ## Uses of EndpointInfo in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that return EndpointInfo
  Modifier and Type
  Method
  Description
  `EndpointInfo`
  Endpoint.`getEndpointInfo()`
  `EndpointInfo`
  EndpointImpl.`getEndpointInfo()`
  Methods in org.apache.cxf.endpoint with parameters of type EndpointInfo
  Modifier and Type
  Method
  Description
  `EndpointImpl`
  EndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  `EndpointImpl`
  SimpleEndpointImplFactory.`newEndpointImpl(Bus bus, Service service, EndpointInfo endpointInfo)`
  Create an EndpointImpl from a bus, service, and endpoint info.
  Constructors in org.apache.cxf.endpoint with parameters of type EndpointInfo
  Modifier
  Constructor
  Description
  ``
  `EndpointImpl(Bus bus, Service s, EndpointInfo ei)`

- ## Uses of EndpointInfo in org.apache.cxf.policy

  Methods in org.apache.cxf.policy with parameters of type EndpointInfo
  Modifier and Type
  Method
  Description
  `<T> T`
  PolicyDataEngine.`getClientEndpointPolicy(Message m, EndpointInfo ei, Conduit c, PolicyCalculator<T> policyCalculator)`
  `<T> T`
  PolicyDataEngine.`getServerEndpointPolicy(Message m, EndpointInfo ei, Destination d, PolicyCalculator<T> policyCalculator)`

- ## Uses of EndpointInfo in org.apache.cxf.service

  Methods in org.apache.cxf.service that return EndpointInfo
  Modifier and Type
  Method
  Description
  `EndpointInfo`
  Service.`getEndpointInfo(QName endpoint)`
  `EndpointInfo`
  ServiceImpl.`getEndpointInfo(QName endpoint)`
  Methods in org.apache.cxf.service with parameters of type EndpointInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(EndpointInfo endpointInfo)`
  `void`
  ServiceModelVisitor.`end(EndpointInfo endpointInfo)`

- ## Uses of EndpointInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return EndpointInfo
  Modifier and Type
  Method
  Description
  `static EndpointInfo`
  ServiceModelUtil.`findBestEndpointInfo(QName qn, List<ServiceInfo> serviceInfos)`
  `EndpointInfo`
  ServiceInfo.`getEndpoint(QName qn)`
  Methods in org.apache.cxf.service.model that return types with arguments of type EndpointInfo
  Modifier and Type
  Method
  Description
  `Collection<EndpointInfo>`
  ServiceInfo.`getEndpoints()`
  Methods in org.apache.cxf.service.model with parameters of type EndpointInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceInfo.`addEndpoint(EndpointInfo ep)`
  `static QName`
  ServiceModelUtil.`getServiceQName(EndpointInfo ei)`
  `boolean`
  EndpointInfo.`isSameAs(EndpointInfo epInfo)`

- ## Uses of EndpointInfo in org.apache.cxf.transport

  Fields in org.apache.cxf.transport declared as EndpointInfo
  Modifier and Type
  Field
  Description
  `protected final EndpointInfo`
  AbstractDestination.`endpointInfo`
  Methods in org.apache.cxf.transport that return EndpointInfo
  Modifier and Type
  Method
  Description
  `EndpointInfo`
  AbstractDestination.`getEndpointInfo()`
  Return the ServiceModel endpoint description for this destination.
  `EndpointInfo`
  DestinationWithEndpoint.`getEndpointInfo()`
  Return the ServiceModel endpoint description for this destination.
  Methods in org.apache.cxf.transport with parameters of type EndpointInfo
  Modifier and Type
  Method
  Description
  `Conduit`
  ConduitInitiator.`getConduit(EndpointInfo targetInfo, Bus bus)`
  Initiate an outbound Conduit.
  `Conduit`
  ConduitInitiator.`getConduit(EndpointInfo localInfo, org.apache.cxf.ws.addressing.EndpointReferenceType target, Bus bus)`
  Initiate an outbound Conduit.
  `Destination`
  DestinationFactory.`getDestination(EndpointInfo ei, Bus bus)`
  Create a destination.
  `protected static org.apache.cxf.ws.addressing.EndpointReferenceType`
  AbstractObservable.`getTargetReference(EndpointInfo ei, Bus bus)`
  Get the target reference .
  `protected static org.apache.cxf.ws.addressing.EndpointReferenceType`
  AbstractObservable.`getTargetReference(EndpointInfo ei, org.apache.cxf.ws.addressing.EndpointReferenceType t, Bus bus)`
  Get the target endpoint reference.
  Constructors in org.apache.cxf.transport with parameters of type EndpointInfo
  Modifier
  Constructor
  Description
  ``
  `AbstractDestination(Bus b, org.apache.cxf.ws.addressing.EndpointReferenceType ref, EndpointInfo ei)`
  ``
  `AbstractDestination(org.apache.cxf.ws.addressing.EndpointReferenceType ref, EndpointInfo ei)`
  ``
  `AbstractMultiplexDestination(Bus b, org.apache.cxf.ws.addressing.EndpointReferenceType ref, EndpointInfo ei)`